#pragma once

#include "CoreMinimal.h"
#include "DLCCheatComponent.h"
#include "K38CheatComponent.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UK38CheatComponent : public UDLCCheatComponent
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable, Exec)
	void DBD_K38TriggerDogTeleport(const FString& localPlayerId) const;

	UFUNCTION(BlueprintCallable, Exec)
	void DBD_K38TriggerDogStruggle(const FString& localPlayerId) const;

	UFUNCTION(BlueprintCallable, Exec)
	void DBD_K38PlayDogMontage(FName montageID, float duration, const FString& localPlayerId) const;

	UFUNCTION(BlueprintCallable, Exec)
	void DBD_K38DebugSurvivorHeldByDogPath(bool isDebugActive) const;

	UFUNCTION(BlueprintCallable, Exec)
	void DBD_K38DebugDogState(float timeToDisplayDebug) const;

	UFUNCTION(BlueprintCallable, Exec)
	void DBD_K38ComeToMeDoggy(const FString& localPlayerId) const;

public:
	UK38CheatComponent();
};

FORCEINLINE uint32 GetTypeHash(const UK38CheatComponent) { return 0; }
